#!/usr/bin/env node
// "test:server": "NODE_ENV=test mocha ./test --compilers js:babel-core/register --recursive",

const program = require('commander')
const { serialSpawn } = require('@s-ui/helpers/cli')

program
  .option('-W, --watch', 'Run in watch mode')
  .on('--help', () => {
    console.log('  Description:')
    console.log('')
    console.log('  Run tests in chorme')
    console.log('')
    console.log('  Examples:')
    console.log('')
    console.log('    $ sui-test-domain browser')
    console.log('')
  })
  .parse(process.argv)

const MOCHA_BIN_PATH = require.resolve('mocha/bin/mocha')
// eslint-disable-next-line
debugger

serialSpawn([
  [
    MOCHA_BIN_PATH,
    [
      `${process.cwd()}/test`,
      '--compilers',
      'js:babel-core/register',
      '--recursive'
    ]
  ]
]).catch(err => console.log(err))
